Bug 1299838 - Metadata self heal is not working properly
Metadata self heal is not working properly
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pranith Kumar K
Depends On:
  Show dependency treegraph
Reported: 2016-01-19 06:25 EST by RajeshReddy
Modified: 2018-02-13 03:48 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-02-10 02:30:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description RajeshReddy 2016-01-19 06:25:05 EST
Description of problem:
Metadata self heal is not working properly 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Metadata self heal script is failing with 

chown: changing ownership of ‘/mnt/glusterfs2_meta/M_dir_25/M_file_2’: Transport endpoint is not connected
chown: cannot access ‘/mnt/glusterfs2_meta/M_dir_25/M_file_4’: No such file or directory
chown: cannot access ‘/mnt/glusterfs2_meta/M_dir_25/M_file_5’: No such file or directory


Actual results:

Expected results:

Additional info:
[root@rhs-client18 distaf_afr_tests]# gluster vol info afr2x2_tier_mod
Volume Name: afr2x2_tier_mod
Type: Tier
Volume ID: c2b6f432-397a-4e94-811c-e169500dde61
Status: Started
Number of Bricks: 8
Transport-type: tcp
Hot Tier :
Hot Tier Type : Distributed-Replicate
Number of Bricks: 2 x 2 = 4
Brick1: ninja.lab.eng.blr.redhat.com:/rhs/brick1/afr2x2_mod_hot2
Brick2: vertigo.lab.eng.blr.redhat.com:/rhs/brick1/afr2x2_mod_hot2
Brick3: ninja.lab.eng.blr.redhat.com:/rhs/brick1/afr2x2_mod_hot1
Brick4: vertigo.lab.eng.blr.redhat.com:/rhs/brick1/afr2x2_mod_hot1
Cold Tier:
Cold Tier Type : Distributed-Replicate
Number of Bricks: 2 x 2 = 4
Brick5: vertigo.lab.eng.blr.redhat.com:/rhs/brick3/afr2x2_tier_mod_cold1
Brick6: ninja.lab.eng.blr.redhat.com:/rhs/brick3/afr2x2_tier_mod_cold1
Brick7: vertigo.lab.eng.blr.redhat.com:/rhs/brick2/afr2x2_tier_mod_cold2
Brick8: ninja.lab.eng.blr.redhat.com:/rhs/brick2/afr2x2_tier_mod_cold2
Options Reconfigured:
cluster.data-self-heal-algorithm: diff
cluster.self-heal-daemon: off
cluster.entry-self-heal: off
cluster.data-self-heal: off
cluster.metadata-self-heal: off
cluster.tier-mode: cache
features.ctr-enabled: on
performance.readdir-ahead: on

client name: transformers.lab.eng.blr.redhat.com

Note You need to log in before you can comment on or make changes to this bug.